﻿using C1.C1Schedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SingleCellSelection
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DateTime today = DateTime.Now.Date.AddHours(10);

            var app = new Appointment(today, new TimeSpan(2, 0, 0), "Appointment-1");
            c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app);

            app = new Appointment(today.AddDays(1), new TimeSpan(2, 0, 0), "Appointment-2");
            c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app);

            app = new Appointment(today.AddDays(2), new TimeSpan(2, 0, 0), "Appointment-3");
            c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app);

            c1Schedule1.SelectedIntervalChanged += C1Schedule1_SelectedIntervalChanged;
        }

        private void C1Schedule1_SelectedIntervalChanged(object sender, C1.Win.C1Schedule.SelectedIntervalChangedEventArgs e)
        {
            switch (c1Schedule1.ViewType)
            {
                case C1.Win.C1Schedule.ScheduleViewEnum.DayView:
                case C1.Win.C1Schedule.ScheduleViewEnum.TimeLineView:
                case C1.Win.C1Schedule.ScheduleViewEnum.WeekView:
                case C1.Win.C1Schedule.ScheduleViewEnum.WorkWeekView:
                    e.Interval.Start = e.Interval.End.Subtract(new TimeSpan(0, 30, 0));
                    break;
                case C1.Win.C1Schedule.ScheduleViewEnum.MonthView:
                    e.Interval.Start = e.Interval.End.Subtract(new TimeSpan(24, 0, 0));
                    break;
            }
        }
    }
}
